using System;

namespace NodeWar;

public class NoduleConnection
{
	public Nodule A { get; set; }
	public Nodule B { get; set; }

	protected bool Equals(NoduleConnection other)
	{
		return Equals(A, other.A) && Equals(B, other.B);
	}

	public override int GetHashCode()
	{
		return HashCode.Combine(A, B);
	}
}